Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2008-06-30 00:21:42 +0400
committerJunio C Hamano <gitster@pobox.com>2008-06-30 10:28:44 +0400
commite46f9c8161a0df4d4b9f8c8a98b1a8c0d9452cfd (patch)
treec28cfd80da8cca979f4ca7b528a0e376f1473533 /t/t9700-perl-git.sh
parent8e69d78be3f315ea8c7b96400c0c65763b3e8f00 (diff)
t9700: skip when Test::More is not available
Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/t9700-perl-git.sh')
-rwxr-xr-xt/t9700-perl-git.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/t/t9700-perl-git.sh b/t/t9700-perl-git.sh
index b2fb9ece9c..9706ee5773 100755
--- a/t/t9700-perl-git.sh
+++ b/t/t9700-perl-git.sh
@@ -6,6 +6,11 @@
test_description='perl interface (Git.pm)'
. ./test-lib.sh
+perl -MTest::More -e 0 2>/dev/null || {
+ say_color skip "Perl Test::More unavailable, skipping test"
+ test_done
+}
+
# set up test repository
test_expect_success \